; -*- mode: Fundamental; tab-width: 8; indent-tabs-mode: 1; -*-
;
; MTX BASIC system variables
;

CTRBADR	EQU	0FA52H		; Sound control buffers
LSTPG	EQU	0FA7AH		; Number of RAM pages -1
VARNAM	EQU	0FA7BH		; Address of start of variable names table
VALBOT	EQU	0FA7DH		; Address of start of variable values table -1
CALCBOT	EQU	0FA7FH		; Address of bottom of calculator stack
CALCST	EQU	0FA81H		; Address of top of calculator stack +1
KBDBUF	EQU	0FA83H		; Address of keyboard buffer
USER	EQU	0FA89H		; USER command jump address
IOPL	EQU	0FA8FH		; Select output device (0=Screen, 1=Printer, 2=Serial)
REALBY	EQU	0FA90H		; Panel breakpoint
KBFLAG	EQU	0FA91H		; Keyboard flags (7=Alpha Lock, 5=Page/Scroll, 2=Num Lock)
STKLIM	EQU	0FA92H		; Top of free space
SYSTOP	EQU	0FA94H		; Top of variables
SSTACK	EQU	0FA96H		; Start of machine stack (on return to Basic)
USERINT	EQU	0FA98H		; User interrupt jump address
NODLOC	EQU	0FA9BH		; NODE ring jump address
FEXPAND	EQU	0FA9EH		; PANEL expansion jump address
USERNOD	EQU	0FAA1H		; NODDY expansion jump address
NBTOP	EQU	0FAA4H		; Address of top of NODDY
NBTPG	EQU	0FAA6H		; Page containing top of NODDY
BASTOP	EQU	0FAA7H		; Address of top of BASIC
BASTPG	EQU	0FAA9H		; Page containing top of BASIC
BASBOT	EQU	0FAAAH		; Base address for virtual addresses
BASTPO	EQU	0FAACH		; Table of top of BASIC in each page
ARRTOP	EQU	0FACCH		; Address of top of arrays
BASELIN	EQU	0FACFH		; Address of BASIC line being executed
BASLNP	EQU	0FAD1H		; Page number for current BASIC line
PAGE	EQU	0FAD2H		; Current page configuration
CRNTPG	EQU	0FAD3H		; Current BASIC page number
PGN1	EQU	0FAD4H		; Workspace for BASIC
PGN2	EQU	0FAD5H		; Workspace for BASIC
PGTOP	EQU	0FAD6H		; Address of top of current page
GOSTACK	EQU	0FAD8H		; Stack of GOSUB return addresses
GOPTR	EQU	0FB41H		; Pointer to top of GOSUB stack
GOSNUM	EQU	0FB43H		; Number of GOSUBs on stack
CTYSLT	EQU	0FB45H		; Keyboard country selection
DATAAD	EQU	0FB46H		; Data pointer for READ statements
DATAPG	EQU	0FB48H		; Page number for READ statements
DESAVE	EQU	0FB49H		; Current BASIC position on tape
START	EQU	0FB4BH		; Keyboard buffer location
SETCALL	EQU	0FD48H		; Jump address for PANEL single stepping
RICHJL	EQU	0FD4BH		; Workspace for PANEL single stepping
USRRST	EQU	0FD4EH		; Jump address for RST38 or NMI
USERIO	EQU	0FD51H		; Jump address for keyboard read
USERROR	EQU	0FD54H		; Jump address for error handling
CLOCK	EQU	0FD57H		; Real time clock value
INTFFF	EQU	0FD5EH		; Interrupt flags
CASBAUD	EQU	0FD5FH		; Cassette baud rate
MIDVAL	EQU	0FD60H		; Cassette pulse length descriminator
RETSAVE	EQU	0FD61H		; Start address for auto-load
VALZERO	EQU	0FD65H		; Virtual address of bottom of BASIC
VERIF	EQU	0FD67H		; Load / Verify flag
TYPE	EQU	0FD68H		; Load / Save flag
CONTFLG	EQU	0FD69H		; Continue after break flag
CONTAD	EQU	0FD6AH		; Address of line to continue from
CONTPG	EQU	0FD6CH		; Page containing line to continue from
ASTACK	EQU	0FD6DH		; PANEL stack address
TMPHL	EQU	0FD6FH		; HL during page switch
TMPA	EQU	0FD71H		; A during page switch
STACCT	EQU	0FD73H		; Maths workspace
PRORPL	EQU	0FD75H		; Select output device (1=IOPL, 0=IOPR)
IOPR	EQU	0FD76H		; Select output device (0=Screen, 1=Printer, 2=Serial)
AUTOIN	EQU	0FD77H		; Auto line number increment
AUTOST	EQU	0FD79H		; Auto line number start
AUTOCT	EQU	0FD7BH		; Key repeat counter
LASTKY	EQU	0FD7CH		; Last key pressed
LASTASC	EQU	0FD7DH		; ASCII value of last key
LASTDR	EQU	0FD7EH		; Keyboard drive line status
RNSEED	EQU	0FD7FH		; Seed for random number generator
BREAK	EQU	0FD81H		; Break key flags
COMMAND	EQU	0FD82H		; Address of direct command
ERRPOS	EQU	0FD84H		; Address of syntax error
FLAGS1	EQU	0FD86H		; Flags displayed in PANEL
ITYPE	EQU	0FD87H		; PANEL workspace
MAFD	EQU	0FD89H		; PANEL AF'
MBCD	EQU	0FD8BH		; PANEL BC'
MDED	EQU	0FD8DH		; PANEL DE'
MHLD	EQU	0FD8FH		; PANEL HL'
MAF	EQU	0FD91H		; PANEL AF
MBC	EQU	0FD93H		; PANEL BC
MDE	EQU	0FD95H		; PANEL DE
MHL	EQU	0FD97H		; PANEL HL
MIX	EQU	0FD99H		; PANEL IX
MIY	EQU	0FD9BH		; PANEL IY
MSP	EQU	0FD9DH		; PANEL SP
MPC	EQU	0FD9FH		; PANEL PC
MEMPOINT EQU	0FDA1H		; PANEL memory pointer
WCHJUMP	EQU	0FDA3H		; PANEL and Assembler variables...
POINTERR EQU	0FDA5H
DADD	EQU	0FDA6H
ASBYTE	EQU	0FDA8H
INDEX	EQU	0FDA9H
DBYTE	EQU	0FDAAH
LINKER	EQU	0FDACH
EDIT	EQU	0FDADH
LENGTH	EQU	0FDAEH
DETYPE	EQU	0FDAFH
DTYPE	EQU	0FDB0H
DISAD	EQU	0FDB1H
DPROG	EQU	0FDB3H
LABTABL	EQU	0FDB5H		; Symbol table address
APROG	EQU	0FDB7H		; Start of assembly code
ENDTAB	EQU	0FDB9H
COMMENT	EQU	0FDBBH
COMAD	EQU	0FDBCH
ADLABEL	EQU	0FDBEH
INDEXLAB EQU	0FDC1H
DATALAB	EQU	0FDC3H
DBLABEL	EQU	0FDC6H
BASEM	EQU	0FDC7H
CURLAB	EQU	0FDC9H		; ... PANEL and Assembler workspace
ACC1	EQU	0FDCCH		; Floating point accumulator
INTTAB	EQU	0FDF2H		; European keyboard layouts
GASH	EQU	0FE02H		; Sound workspace
TEMP	EQU	0FE04H		; Sound workspace
CHAN	EQU	0FE14H		; Direct sound channel
FREQ	EQU	0FE16H		; Direct sound frequency
VOL	EQU	0FE18H		; Direct sound volume
WKAREA	EQU	0FE1AH		; Escape sequence data
BSSTR	EQU	0FE3FH		; Screen workarea
SPEED	EQU	0FE4BH		; Sprite speed
SPBASE	EQU	0FE4CH		; Sprite workarea
MVDIST	EQU	0FE4DH		; Sprite move distance
NOSPR	EQU	0FE4EH		; Number of active sprites
DLSPNO	EQU	0FE4FH		; Number of circling sprites
PLSPNO	EQU	0FE50H		; Plot sprite number
MVNO	EQU	0FE51H		; Sprite number for move command
DELSPR	EQU	0FE52H		; Sprite workarea
VCOUNT	EQU	0FE53H		; Cursor flash counter
VDPSTS	EQU	0FE54H		; VDP status
SPRTBL	EQU	0FE55H		; Sprite control buffers
SMBYTE	EQU	0FF55H		; Sprite size and magnification
LENLO	EQU	0FF56H		; Workspace for ARC
LENHI	EQU	0FF57H		; Workspace for ARC
VINTFG	EQU	0FF58H		; Sprite interrupt flag
CHPTR	EQU	0FF59H		; Character position
SCRN0	EQU	0FF5DH		; Data for virtual screen 0
SCRN1	EQU	0FF6CH		; Data for virtual screen 1
SCRN2	EQU	0FF7BH		; Data for virtual screen 2
SCRN3	EQU	0FF8AH		; Data for virtual screen 3
SCRN4	EQU	0FF99H		; Data for virtual screen 4
SCRN5	EQU	0FFA8H		; Data for virtual screen 5
SCRN6	EQU	0FFB7H		; Data for virtual screen 6
SCRN7	EQU	0FFC6H		; Data for virtual screen 7
USTYPETABLE EQU	0FFD5H
VIRTUALSCN EQU	0FFEDH
OVERLAY	EQU	0FFEEH

;
